GET /api/fleet/agent_policies/{agentPolicyId}/download

Spaces method and path for this operation:

get /s/{space_id}/api/fleet/agent_policies/{agentPolicyId}/download

Refer to Spaces for more information.

Download an agent policy by ID.

[Required authorization] Route required privileges: fleet-agent-policies-read OR fleet-setup.

Path parameters

  • agentPolicyId string Required

Query parameters

  • download boolean

    If true, returns the policy as a downloadable file

  • standalone boolean

    If true, returns the policy formatted for standalone agents

  • kubernetes boolean

    If true, returns the policy formatted for Kubernetes deployment

  • revision number

    If provided, returns the policy at the specified revision. Cannot be used with standalone or kubernetes flags.

Responses

  • 200 application/json

    Successful response — returns the agent policy as a YAML file download

  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
  • 404 application/json

    Not Found

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
GET /api/fleet/agent_policies/{agentPolicyId}/download
curl \
 --request GET 'https://<KIBANA_URL>/api/fleet/agent_policies/{agentPolicyId}/download' \
 --header "Authorization: $API_KEY"
Response examples (200)
The agent policy download response
{
  "item": "id: agent-policy-id-1\\nrevision: 1\\noutputs:\\n  default:\\n    type: elasticsearch\\n    hosts:\\n      - https://elasticsearch.example.com:9200\\n"
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
Response examples (404)
No agent policy was found with the given ID
{
  "error": "Not Found",
  "message": "Agent policy not found",
  "statusCode": 404
}